%define name		lzo
%define version		1.08
%define release		1
%define builddir	$RPM_BUILD_DIR/%{name}-devel
%define prefixdef	/usr

# If you don't like the prefix '/usr' you can override it like this:
# rpm -ba|--rebuild --define 'prefix /usr/local'
%{?!prefix:%define prefix %{prefixdef}}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Vendor:		Generic
Packager:	Florin Andrei <florin@andrei.myip.org>
URL:		http://www.oberhumer.com/opensource/lzo/
Source:		%{name}-%{version}.tar.gz
Group:		System Environment/Libraries
License:	GPL
Provides:	lzo
BuildRoot:	%{_tmppath}/%{name}-%{version}
Summary:	A portable lossless data compression library

%description
LZO is a data compression library which is suitable for data
de-/compression in real-time. This means it favours speed over
compression ratio. I named it LZO standing for Lempel-Ziv-Oberhumer. LZO
is written in ANSI C. Both the source code and the compressed data
format are designed to be portable across platforms.

%prep
%setup -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(0755, root, root)
%{prefix}/lib/liblzo.la

%defattr(0644, root, root)
%{prefix}/include/lzo*.h
%{prefix}/lib/liblzo.a

%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS

%changelog
* Tue Dec 03 2002 Florin Andrei <florin@andrei.myip.org>
- first version of package, 1.08-1
